Bug 214823 - multimedia/gmerlin-avdecoder: switch to modern ffmpeg
Summary: multimedia/gmerlin-avdecoder: switch to modern ffmpeg
Status: Closed Overcome By Events
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords: needs-qa
Depends on:
Blocks: 214824 215036
  Show dependency treegraph
 
Reported: 2016-11-25 12:09 UTC by Jan Beich
Modified: 2019-05-31 18:15 UTC (History)
4 users (show)

See Also:
pi: maintainer-feedback-


Attachments
v0 (2.56 KB, patch)
2016-11-25 12:10 UTC, Jan Beich
no flags Details | Diff
v0 (2.56 KB, patch)
2016-11-25 12:17 UTC, Jan Beich
jbeich: maintainer-approval? (wg)
Details | Diff
workaround (3.02 KB, patch)
2016-11-25 12:30 UTC, Jan Beich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2016-11-25 12:09:40 UTC

    
Comment 1 Jan Beich freebsd_committer 2016-11-25 12:10:37 UTC
Created attachment 177378 [details]
v0

10.3 amd64 + ffmpeg 2.8 build log: http://sprunge.us/DBaB
Comment 2 Jan Beich freebsd_committer 2016-11-25 12:17:44 UTC
Created attachment 177379 [details]
v0

The 2nd occurence of PixelFormat wasn't replaced on one line which didn't break build on ffmpeg 3.x for some reason.
Comment 3 Jan Beich freebsd_committer 2016-11-25 12:30:11 UTC
Created attachment 177381 [details]
workaround

Better wording in BROKEN.
Comment 4 Jan Beich freebsd_committer 2016-11-25 12:30:43 UTC
Ugh, mixed bugs...
Comment 5 Walter Schwarzenfeld freebsd_triage 2018-01-12 11:00:25 UTC
Maintainer feedback (or Maintainer timeout ?).
Comment 6 Walter Schwarzenfeld freebsd_triage 2018-03-04 19:40:39 UTC
No more BROKEN statement in the Makefile:
.if ${PORT_OPTIONS:MVDPAU}
LIB_DEPENDS+=   libvdpau.so:multimedia/libvdpau
.else
CONFIGURE_ARGS+=        --disable-vdpau
.endif

seems fixed or overcome by events.

Compiles fine.
Comment 7 Jan Beich freebsd_committer 2018-03-05 01:43:31 UTC
Nothing should depend on vulnerable FFmpeg version. Do you propose to remove this port as well? However, landing v0 patch here would break VDPAU as described in bug 214824 : https://ptpb.pw/mTc1
Comment 8 Walter Schwarzenfeld freebsd_triage 2018-03-05 01:57:23 UTC
Re-open. See Comment7.
Comment 9 Kurt Jaeger freebsd_committer 2018-07-27 17:37:22 UTC
testbuilds@work.
Comment 11 commit-hook freebsd_committer 2019-05-24 04:56:57 UTC
A commit references this bug:

Author: tobik
Date: Fri May 24 04:56:53 UTC 2019
New revision: 502417
URL: https://svnweb.freebsd.org/changeset/ports/502417

Log:
  Deprecate multimedia/gmerlin-avdecoder

  Nothing uses it, it looks unmaintained upstream, and it depends on
  the vulnerable multimedia/ffmpeg0.

  PR:		214823
  Approved by:	wg (maintainer timeout, 1.5 years)

Changes:
  head/multimedia/gmerlin-avdecoder/Makefile
Comment 12 Rene Ladan freebsd_committer 2019-05-31 18:15:03 UTC
Expired port removed.